#ifndef SCANCODECONTROL_H
#define SCANCODECONTROL_H

#include <QObject>

#include <QSerialPort>

#include <QTimer>

class ScanCodeControl : public QObject
{
    Q_OBJECT
public:
    explicit ScanCodeControl(QObject *parent = nullptr);
public:

signals:
    void SendToBridge_ScanCodeData(QString data);
        void SendToBridge_ScanCodeDataisOk();

public slots:
    void setComm(QString ComName,long baudRate);
private:
    QSerialPort SerialPort;
    QString m_RepeatScan = nullptr;
    QTimer *m_timer;    //扫码数据重置
};

#endif // SCANCODECONTROL_H
